| emaclite Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XEmacLite_Config Struct Reference
Overview

This typedef contains configuration information for a device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Device base address. More...
u8 | TxPingPong
| 1 if TX Pong buffer configured, 0 otherwise More...
u8 | RxPingPong
| 1 if RX Pong buffer configured, 0 otherwise More...
u8 | MdioInclude
| 1 if MDIO is enabled, 0 otherwise More...
u8 | Loopback
| 1 if internal loopback is enabled, 0 otherwise More...

## Detailed Description

This typedef contains configuration information for a device.

## Field Documentation

UINTPTR XEmacLite_Config::BaseAddress

Device base address.

Referenced by EmacLiteIntrExample(), EmacLiteIntrLoopbackExample(), EmacLitePhyLoopbackExample(), EmacLitePolledExample(), EMACLiteSelfTestExample(), XEmacLite_CfgInitialize(), XEmacLite_DisableInterrupts(), XEmacLite_DisableLoopBack(), XEmacLite_EnableInterrupts(), XEmacLite_EnableLoopBack(), XEmacLite_FlushReceive(), XEmacLite_Initialize(), XEmacLite_InterruptHandler(), XEmacLite_PhyRead(), XEmacLite_PhyWrite(), XEmacLite_SelfTest(), and XEmacLite_Send().

u16 XEmacLite_Config::DeviceId

Unique ID of device.

Referenced by XEmacLite_CfgInitialize().

u8 XEmacLite_Config::Loopback

1 if internal loopback is enabled, 0 otherwise

Referenced by XEmacLite_CfgInitialize(), XEmacLite_DisableLoopBack(), and XEmacLite_EnableLoopBack().

u8 XEmacLite_Config::MdioInclude

1 if MDIO is enabled, 0 otherwise

Referenced by XEmacLite_CfgInitialize(), XEmacLite_PhyRead(), and XEmacLite_PhyWrite().

u8 XEmacLite_Config::RxPingPong

1 if RX Pong buffer configured, 0 otherwise

Referenced by XEmacLite_CfgInitialize(), XEmacLite_FlushReceive(), XEmacLite_Recv(), and XEmacLite_SelfTest().

u8 XEmacLite_Config::TxPingPong

1 if TX Pong buffer configured, 0 otherwise

Referenced by XEmacLite_CfgInitialize(), XEmacLite_SelfTest(), XEmacLite_Send(), and XEmacLite_TxBufferAvailable().